### Function

# Gimp floating_sel_to_layer

#### Declaration [src]

    gboolean
    gimp_floating_sel_to_layer (
      GimpLayer* floating_sel
    )

#### Description [src]

Transforms the specified floating selection into a layer.

This procedure transforms the specified floating selection into a layer with the same offsets and extents. The composited image will look precisely the same, but the floating selection layer will no longer be clipped to the extents of the drawable it was attached to. The floating selection will become the active layer. This procedure will not work if the floating selection has a different base type from the underlying image. This might be the case if the floating selection is above an auxiliary channel or a layer mask.

#### Parameters

`floating_sel`

  Type: `GimpLayer`

  The floating selection.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.